<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<!--загрузка из декларанта гтд-->
	<xsl:template match="/ALLDOCUMENTS">
		<DCL>
			<xsl:for-each select="ALLDOCUMENTS_ITEM/DECLPRIM/DECLPRIM_ITEM">
				<DCL_ITEM>
					<ISREADY>true</ISREADY>
					<DATE_CREATE><xsl:value-of select="G542"/></DATE_CREATE>
					<DOC_ID><xsl:value-of select="ND"/></DOC_ID>
					<DOCTYPE><xsl:value-of select="DOCTYPE"/></DOCTYPE>
					<G011><xsl:value-of select="G011"/></G011>
					<G012><xsl:value-of select="G012"/></G012>
					<G0131><xsl:value-of select="G0131"/></G0131>
					<G021><xsl:value-of select="M021"/></G021>
					<G022><xsl:value-of select="G022"/></G022>
					<G05><xsl:value-of select="G05"/></G05>
					<G06><xsl:value-of select="G06"/></G06>
					<G07><xsl:value-of select="ND"/></G07>
					<G07_CODE><xsl:value-of select="G07_CODE"/></G07_CODE>
					<xsl:for-each select="ADDTODECLPRIM2/ADDTODECLPRIM2_ITEM/child::*">
						<xsl:element name="{name()}"><xsl:value-of select="."/></xsl:element>	
						<!--<G020></G020>
						<G0231><xsl:value-of select="G0231"/></G0231>
						<G0231N><xsl:value-of select="G0231N"/></G0231N>		
						<G080><xsl:value-of select="G080"/></G080>
						<G0831><xsl:value-of select="G0831"/></G0831>
						<G0831N><xsl:value-of select="G0831N"/></G0831N>					
						<G090><xsl:value-of select="G090"/></G090>						
						<G0931><xsl:value-of select="G0931"/></G0931>
						<G0931N><xsl:value-of select="G0931N"/></G0931N>		
						<G140><xsl:value-of select="G140"/></G140>						
						<G1431><xsl:value-of select="G1431"/></G1431>
						<G1431N><xsl:value-of select="G1431N"/></G1431N>
						<G541_INN><xsl:value-of select="G541_INN"/></G541_INN>
						<G541_KPP><xsl:value-of select="G541_KPP"/></G541_KPP>
						<G5410><xsl:value-of select="G5410"/></G5410>
						<G5411><xsl:value-of select="G5411"/></G5411>
						<G5411D><xsl:value-of select="G5411D"/></G5411D>
						<G541D><xsl:value-of select="G541D"/></G541D>
						<G54521><xsl:value-of select="G54521"/></G54521>
						<G54523><xsl:value-of select="G54523"/></G54523>
						<BROKACCOUNTS><xsl:value-of select="BROKACCOUNTS"/></BROKACCOUNTS>-->
					</xsl:for-each>
					<xsl:for-each select="ADDTODECLPRIM/ADDTODECLPRIM_ITEM/child::*">
						<xsl:element name="{name()}"><xsl:value-of select="."/></xsl:element>
						<!--<G023POST><xsl:value-of select="G023POST"/></G023POST>
						<G023SUBD><xsl:value-of select="G023SUBD"/></G023SUBD>
						<G023CITY><xsl:value-of select="G023CITY"/></G023CITY>
						<G023STREET><xsl:value-of select="G023STREET"/></G023STREET>
						<G083POST><xsl:value-of select="G083POST"/></G083POST>
						<G083SUBD><xsl:value-of select="G083SUBD"/></G083SUBD>
						<G083CITY><xsl:value-of select="G083CITY"/></G083CITY>
						<G083STREET><xsl:value-of select="G083STREET"/></G083STREET>
						<G093POST><xsl:value-of select="G093POST"/></G093POST>
						<G093SUBD><xsl:value-of select="G093SUBD"/></G093SUBD>
						<G093CITY><xsl:value-of select="G093CITY"/></G093CITY>
						<G093STREET><xsl:value-of select="G093STREET"/></G093STREET>
						<G143POST><xsl:value-of select="G143POST"/></G143POST>
						<G143SUBD><xsl:value-of select="G143SUBD"/></G143SUBD>
						<G143CITY><xsl:value-of select="G143CITY"/></G143CITY>
						<G143STREET><xsl:value-of select="G143STREET"/></G143STREET>
						<G5441><xsl:value-of select="G5441"/></G5441>
						<G5441NAME><xsl:value-of select="G5441NAME"/></G5441NAME>
						<G5441MDLNAME><xsl:value-of select="G5441MDLNAME"/></G5441MDLNAME>
						<G5442><xsl:value-of select="G5442"/></G5442>
						<G5443><xsl:value-of select="G5443"/></G5443>
						<G5443_1><xsl:value-of select="G5443_1"/></G5443_1>
						<G5444><xsl:value-of select="G5444"/></G5444>
						<G5444_1><xsl:value-of select="G5444_1"/></G5444_1>
						<G5445><xsl:value-of select="G5445"/></G5445>
						<G5445_1><xsl:value-of select="G5445_1"/></G5445_1>
						<G5446><xsl:value-of select="G5446"/></G5446>
						<G5447><xsl:value-of select="G5447"/></G5447>
						<G5451><xsl:value-of select="G5451"/></G5451>
						<G5451A><xsl:value-of select="G5451A"/></G5451A>-->
					</xsl:for-each>	
					<G081><xsl:value-of select="M081"/></G081>
					<G082><xsl:value-of select="G082"/></G082>
					<G087><xsl:value-of select="G087"/></G087>
					<G091><xsl:value-of select="M091"/></G091>
					<G092><xsl:value-of select="G092"/></G092>
					<G097><xsl:value-of select="G097"/></G097>
					<M141><xsl:value-of select="M141"/></M141>
					<G142><xsl:value-of select="G142"/></G142>
					<G147><xsl:value-of select="G147"/></G147>					
					<G11><xsl:value-of select="G11"/></G11>
					<G12><xsl:value-of select="G12"/></G12>
					<G121><xsl:value-of select="G121"/></G121>
					<G15><xsl:value-of select="G15"/></G15>
					<G15A><xsl:value-of select="G15A"/></G15A>
					<G16><xsl:value-of select="G16"/></G16>
					<G17A><xsl:value-of select="G17A"/></G17A>
					<G17B><xsl:value-of select="G17B"/></G17B>
					<G181><xsl:value-of select="G181"/></G181>
					<G182><xsl:value-of select="G182"/></G182>
					<G202><xsl:value-of select="G202"/></G202>
					<G2021><xsl:value-of select="G2021"/></G2021>
					<G211><xsl:value-of select="G211"/></G211>
					<G212><xsl:value-of select="G212"/></G212>
					<G221><xsl:value-of select="G221"/></G221>
					<G222><xsl:value-of select="G222"/></G222>
					<xsl:if test="string-length(G23)>0">
						<G23><xsl:value-of select="G23"/></G23>
					</xsl:if>
					<G24><xsl:value-of select="G24"/></G24>
					<G24_2><xsl:value-of select="G24_2"/></G24_2>
					<G251><xsl:value-of select="G251"/></G251>
					<G261><xsl:value-of select="G261"/></G261>
					<G29><xsl:value-of select="G29"/></G29>
					<M29><xsl:value-of select="M29"/></M29>
					<G30><xsl:value-of select="G30"/></G30>
					<G300><xsl:value-of select="G300"/></G300>
					<G3010><xsl:value-of select="G3010"/></G3010>
					<G3011><xsl:value-of select="G3011"/></G3011>
					<G301><xsl:value-of select="G301"/></G301>
					<G30POST><xsl:value-of select="G30POST"/></G30POST>					
					<G30SUBD><xsl:value-of select="G30SUBD"/></G30SUBD>
					<G30CITY><xsl:value-of select="G30CITY"/></G30CITY>
					<G30STREET><xsl:value-of select="G30STREET"/></G30STREET>
					<G3012><xsl:value-of select="G3012"/></G3012>
					<G541><xsl:value-of select="G541"/></G541>
					<G542><xsl:value-of select="G542"/></G542>
					<xsl:if test="string-length(GD1)>0">
						<GD1><xsl:value-of select="GD1"/></GD1>
					</xsl:if>
					<DCL_LOAD>
						<xsl:for-each select="DECLDOP/DECLDOP_ITEM">
							<DCL_LOAD_ITEM>
								<xsl:variable name="g32_load" select="G32"/>
								<G31_1>
									<xsl:value-of select="normalize-space(G312)"/>
									<xsl:for-each select="GTDBACK/GTDBACK_ITEM[GRAPH_NO=31 and string-length(TEXT)>0]">
										<xsl:value-of select="concat(' ',normalize-space(TEXT))"/>
									</xsl:for-each>
								</G31_1>
								<G31_2><xsl:value-of select="G311"/></G31_2>
								<G31_20><xsl:value-of select="G31_20"/></G31_20>
								<G31_7><xsl:value-of select="G315A"/></G31_7>
								<G31_71><xsl:value-of select="G315"/></G31_71>
								<G32><xsl:value-of select="G32"/></G32>
								<G33><xsl:value-of select="G33"/></G33>
								<G34><xsl:value-of select="G34"/></G34>
								<G35><xsl:value-of select="G35"/></G35>
								<G37><xsl:value-of select="G37"/></G37>
								<G38><xsl:value-of select="G38"/></G38>
								<G38_2><xsl:value-of select="G38_2"/></G38_2>
								<G41A><xsl:value-of select="G41A"/></G41A>
								<G42><xsl:value-of select="G42"/></G42>
								<DCL_LOAD_CONT>
									<xsl:for-each select="GTDCONT/GTDCONT_ITEM">
										<xsl:if test="G32=$g32_load">
											<DCL_LOAD_CONT_ITEM>
												<CONT_NUM><xsl:value-of select="CONTAINER"/></CONT_NUM>
												<CONT_TYPE><xsl:value-of select="CONTSTAT"/></CONT_TYPE>
											</DCL_LOAD_CONT_ITEM>
										</xsl:if>
									</xsl:for-each>
								</DCL_LOAD_CONT>
								<DCL_LOAD_DOC>
									<xsl:for-each select="GTD44/GTD44_ITEM">
										<DCL_LOAD_DOC_ITEM>
											<G32><xsl:value-of select="G32"/></G32>
											<xsl:if test="string-length(G4401)>0">
												<G4401><xsl:value-of select="G4401"/></G4401>
											</xsl:if>
											<xsl:if test="string-length(G4402)>0">
												<G4402><xsl:value-of select="G4402"/></G4402>
											</xsl:if>	
											<DOC_NUM><xsl:value-of select="DOC_NUM"/></DOC_NUM>
											<G441><xsl:value-of select="G441"/></G441>
											<G442><xsl:value-of select="G442"/></G442>
											<xsl:choose>
												<xsl:when test="G445>0">
													<G442R>
														<xsl:value-of select="G442R"/>
														<xsl:text>/</xsl:text>
														<xsl:value-of select="G445"/>
													</G442R>
												</xsl:when>
												<xsl:otherwise>
													<G442R><xsl:value-of select="G442R"/></G442R>
												</xsl:otherwise>
											</xsl:choose>
											<xsl:if test="string-length(G443)>0">
												<G443><xsl:value-of select="G443"/></G443>
											</xsl:if>	
											<xsl:if test="string-length(G444)>0">
												<G444><xsl:value-of select="G444"/></G444>
											</xsl:if>	
											<xsl:if test="string-length(G445)>0">
												<G445><xsl:value-of select="G445"/></G445>
											</xsl:if>											
											<xsl:if test="string-length(G446)>0">
												<G446><xsl:value-of select="G446"/></G446>
											</xsl:if>
											<xsl:if test="string-length(G447)>0">
												<G447><xsl:value-of select="G447"/></G447>
											</xsl:if>
											<xsl:if test="string-length(G44S)>0">
												<G44S><xsl:value-of select="G44S"/></G44S>
											</xsl:if>	
											<NUMPRDOC><xsl:value-of select="G44PREVDOCNUM"/></NUMPRDOC>
											<SGNSUBMDOC><xsl:value-of select="G44PROVCODE"/></SGNSUBMDOC>
										</DCL_LOAD_DOC_ITEM>
									</xsl:for-each>
								</DCL_LOAD_DOC>								
								<DCL_LOAD_ITEM>
									<xsl:for-each select="GTD31GROUPS/GTD31GROUPS_ITEM">
										<DCL_LOAD_ITEM_ITEM>
											<G32G><xsl:value-of select="G32G"/></G32G>
											<G31_10><xsl:value-of select="G31_10"/></G31_10>
											<G31_11><xsl:value-of select="G31_11"/></G31_11>
											<G31_12><xsl:value-of select="G31_12"/></G31_12>
											<G31_14><xsl:value-of select="G31_14"/></G31_14>
											<G31_14_2><xsl:value-of select="G31_14_2"/></G31_14_2>
											<G31_15><xsl:value-of select="G31_15"/></G31_15>
											<G31_16><xsl:value-of select="G31_16"/></G31_16>
											<G31_17><xsl:value-of select="G31_17"/></G31_17>
											<G31_18><xsl:value-of select="G31_18"/></G31_18>
											<G31_19><xsl:value-of select="G31_19"/></G31_19>
											<G31_20><xsl:value-of select="G31_20"/></G31_20>
											<QUANTITY><xsl:value-of select="KOLVO"/></QUANTITY>
											<UNIT_CODE><xsl:value-of select="CODE_EDI"/></UNIT_CODE>
											<UNIT_NAME><xsl:value-of select="NAME_EDI"/></UNIT_NAME>
											<ADDINFO><xsl:value-of select="ADDINFO"/></ADDINFO>
											<xsl:if test="string-length(G42PERUNIT)>0">
												<PRICE><xsl:value-of select="G42PERUNIT"/></PRICE>
											</xsl:if>
											<xsl:for-each select="GTDTERMS/GTDTERMS_ITEM">
												<xsl:if test="G32=$g32_load">
													<xsl:if test="position()=1">
														<G202t><xsl:value-of select="TERMS"/></G202t>
														<G2021t><xsl:value-of select="TERMSPOINT"/></G2021t>
													</xsl:if>
												</xsl:if>
											</xsl:for-each>
										</DCL_LOAD_ITEM_ITEM>
									</xsl:for-each>
								</DCL_LOAD_ITEM>
								<DCL_LOAD_PACK>
									<xsl:for-each select="GTDPK/GTDPK_ITEM">
										<xsl:if test="G32=$g32_load">
											<DCL_LOAD_PACK_ITEM>
												<PACK_CODE><xsl:value-of select="PKVID"/></PACK_CODE>
												<PACK_QUANT><xsl:value-of select="PKKOLVO"/></PACK_QUANT>
												<xsl:if test="string-length(PKINF)>0">
													<PKINF><xsl:value-of select="PKINF"/></PKINF>
												</xsl:if>	
												<PKSIGN><xsl:value-of select="PKSIGN"/></PKSIGN>
											</DCL_LOAD_PACK_ITEM>
										</xsl:if>
									</xsl:for-each>
								</DCL_LOAD_PACK>	
								<DCL_LOAD_USLP>
									<xsl:for-each select="GTDTERMS/GTDTERMS_ITEM">
										<xsl:if test="G32=$g32_load">
											<DCL_LOAD_USLP_ITEM>
												<G202t><xsl:value-of select="TERMS"/></G202t>
												<G2021t><xsl:value-of select="TERMSPOINT"/></G2021t>
											</DCL_LOAD_USLP_ITEM>
										</xsl:if>
									</xsl:for-each>
								</DCL_LOAD_USLP>
							</DCL_LOAD_ITEM>
						</xsl:for-each>
					</DCL_LOAD>
					<DCL_TRANS>
						<xsl:for-each select="GTDDKD/GTDDKD_ITEM[NGR=29 or NGR=18 or NGR=21 or NGR=26 or NGR=25]">
							<DCL_TRANS_ITEM>
								<NGR><xsl:value-of select="NGR"/></NGR>
								<VIDTRANS><xsl:value-of select="VIDTRANS"/></VIDTRANS>
								<NAMETRANS><xsl:value-of select="NAMETRANS"/></NAMETRANS>
								<NTRANS_PRIMARY><xsl:value-of select="NTRANS_PRIMARY"/></NTRANS_PRIMARY>
								<NTRANS><xsl:value-of select="NTRANS"/></NTRANS>
								<NTRANS1><xsl:value-of select="NTRANS1"/></NTRANS1>
								<NTRANS2><xsl:value-of select="NTRANS2"/></NTRANS2>
								<G212><xsl:value-of select="G212"/></G212>
								<G29><xsl:value-of select="G29"/></G29>
								<G29COUNTRYCODE><xsl:value-of select="G29COUNTRYCODE"/></G29COUNTRYCODE>
							</DCL_TRANS_ITEM>
						</xsl:for-each>
					</DCL_TRANS>
				</DCL_ITEM>
			</xsl:for-each>
		</DCL>
	</xsl:template>
</xsl:stylesheet>
