<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>


  <xsl:template match="INVOICE/INVOICE_ITEM/TotalCost">
    <TotalCost>
      <xsl:value-of select="format-number(sum(//INVOICEGOODS_ITEM/TotalCost), '#########.000')"/>
    </TotalCost>
  </xsl:template>

  <xsl:template match="INVOICE/INVOICE_ITEM/GCost">
    <GCost>
      <xsl:value-of select="format-number(sum(//INVOICEGOODS_ITEM/TotalCost), '#########.000')"/>
    </GCost>
  </xsl:template>


</xsl:stylesheet>
