<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--выгрузка в транзит-->
	<xsl:output method="xml"/>
	<xsl:template match="/DCL">
		<xsl:element name="VTTPRIM">
			<xsl:for-each select="/DCL/DCL_ITEM">
				<xsl:variable name="DCL_DCL_ITEM" select="current()"/>
				<xsl:element name="VTTPRIM_ITEM">
					<xsl:element name="G011"><xsl:value-of select="'ЭК'"/></xsl:element>
					<xsl:element name="G0131"><xsl:value-of select="'ВТТ'"/></xsl:element>
					<xsl:element name="TYPEBTT"><xsl:value-of select="'ЭК'"/></xsl:element>
					<xsl:element name="SENDEROGRN"><xsl:value-of select="G020"/></xsl:element>
					<xsl:element name="M021"><xsl:value-of select="G021"/></xsl:element>
					<xsl:element name="G022"><xsl:value-of select="G022"/></xsl:element>
					<xsl:element name="G023"><xsl:value-of select="G023"/></xsl:element>
					<xsl:element name="RECEIVOGRN"><xsl:value-of select="G080"/></xsl:element>
					<xsl:element name="M081"><xsl:value-of select="G081"/></xsl:element>
					<xsl:element name="G082"><xsl:value-of select="G082"/></xsl:element>
					<xsl:element name="G083"><xsl:value-of select="G083"/></xsl:element>
					<xsl:element name="VTTDOP">
						<xsl:for-each select="$DCL_DCL_ITEM/DCL_LOAD/DCL_LOAD_ITEM">
							<xsl:variable name="DCL_LOAD_DCL_LOAD_ITEM" select="current()"/>
							<xsl:element name="VTTDOP_ITEM">
								<xsl:element name="G32"><xsl:value-of select="G32"/></xsl:element>
								<xsl:element name="G33"><xsl:value-of select="G33"/></xsl:element>
								<xsl:element name="G311"><xsl:value-of select="G31_2"/></xsl:element>
								<xsl:element name="G312"><xsl:value-of select="G31_1"/></xsl:element>
							</xsl:element>
						</xsl:for-each>
					</xsl:element>
				</xsl:element>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
