<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" />

<xsl:template match="/">
<xsl:choose>
	<xsl:when test="/Transformation/@version = '1.00'">
		<xsl:apply-templates select="@*|node()"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:copy-of select="." />
	</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="RangeEOF">
<EOFCriteria>
<xsl:choose>
	<xsl:when test="text() = 'True'">EndOfRange</xsl:when>
	<xsl:when test="text() = 'False'"><xsl:text>EndOfData</xsl:text></xsl:when>
</xsl:choose>
</EOFCriteria>
</xsl:template>

<xsl:template match="@id[parent::DataSource][../../@independed='False']">
<xsl:attribute name="id"><xsl:value-of select="count(../../preceding-sibling::Rule)" /></xsl:attribute>
</xsl:template>

<xsl:template match="@version[parent::Transformation]">
<xsl:attribute name="version">1.1</xsl:attribute>
</xsl:template>


<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
</xsl:stylesheet>
