<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<!--загрузка из декларанта в классификатор товаров-->
	
	<xsl:key use="concat(../../G33,../../G33_ADDINFO)" name="goods" match="//GTD31GROUPS_ITEM"/>
	<xsl:template match="//GTD31GROUPS_ITEM" >
		<GOODS_ITEM> 
			<CODE_EXSTS>1</CODE_EXSTS>
			<CUST_CODE><xsl:value-of select="concat(../../G33,../../G33_ADDINFO)"/></CUST_CODE>
			<GOOD_NAME2>
				<xsl:value-of select="translate(../../G312,'&#xA;',' ')"/>
				<xsl:for-each select="../../ADDTODECLDOP/ADDTODECLDOP_ITEM[string-length(ADDTO312)>0]">
					<xsl:text> </xsl:text>
					<xsl:value-of select="ADDTO312"/>
				</xsl:for-each>
				<xsl:for-each select="../../GTDBACK/GTDBACK_ITEM[GRAPH_NO='31' and string-length(TEXT)>0]">
					<xsl:text> </xsl:text>
					<xsl:value-of select="TEXT"/>
				</xsl:for-each>
			</GOOD_NAME2>
			<UNIT_CODE><xsl:value-of select="../../G42A"/></UNIT_CODE>
			<UNIT_NAME><xsl:value-of select="../../G31_71"/></UNIT_NAME>
		</GOODS_ITEM>
	</xsl:template>
	
	
	
	<xsl:template match="/">
		<xsl:apply-templates select="//ALLDOCUMENTS"/>
	</xsl:template>

	<xsl:template match="ALLDOCUMENTS">
		<GOODS> 
			<xsl:apply-templates select="//GTD31GROUPS_ITEM[generate-id(.)=generate-id(key('goods',concat(../../G33,../../G33_ADDINFO)))]"/>
		</GOODS>
	</xsl:template>
</xsl:stylesheet>
